com.ihr.xbrl.mapper.filters

## Interface XBRLFilterContext

- All Known Implementing Classes:
    XBRLFilterContextImpl

      public interface XBRLFilterContext

  Allows for functions to return XBRL contexts after having processed all XBRL contexts.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.GregorianCalendar` | `getLatestEndDate()` Gets the latest end date.
    `java.util.GregorianCalendar` | `getLatestInstant()` Gets the latest instant.
    `java.util.GregorianCalendar` | `getLatestStartDate()` Gets the latest start date.
    `javax.xml.datatype.Duration` | `getLongestDuration()` Gets the longest duration.
    `java.util.GregorianCalendar` | `getOldestEndDate()` Gets the oldest end date.
    `java.util.GregorianCalendar` | `getOldestInstant()` Gets the oldest instant.
    `java.util.GregorianCalendar` | `getOldestStartDate()` Gets the oldest start date.
    `javax.xml.datatype.Duration` | `getShortestDuration()` Gets the shortest duration.
    `XBRLPeriod` | `matches(XBRLCTimeFilter filter)` Matches.

- - ### Method Detail

    - #### getLatestInstant

          java.util.GregorianCalendar getLatestInstant()

      Gets the latest instant.
      Returns:
        the latest instant

    - #### getLatestStartDate

          java.util.GregorianCalendar getLatestStartDate()

      Gets the latest start date.
      Returns:
        the latest start date

    - #### getLatestEndDate

          java.util.GregorianCalendar getLatestEndDate()

      Gets the latest end date.
      Returns:
        the latest end date

    - #### getOldestInstant

          java.util.GregorianCalendar getOldestInstant()

      Gets the oldest instant.
      Returns:
        the oldest instant

    - #### getOldestStartDate

          java.util.GregorianCalendar getOldestStartDate()

      Gets the oldest start date.
      Returns:
        the oldest start date

    - #### getOldestEndDate

          java.util.GregorianCalendar getOldestEndDate()

      Gets the oldest end date.
      Returns:
        the oldest end date

    - #### getLongestDuration

          javax.xml.datatype.Duration getLongestDuration()

      Gets the longest duration.
      Returns:
        the longest duration

    - #### getShortestDuration

          javax.xml.datatype.Duration getShortestDuration()

      Gets the shortest duration.
      Returns:
        the shortest duration

    - #### matches

          XBRLPeriod matches(XBRLCTimeFilter filter)

      Matches.
      Parameters:
        `filter` - the filter
      Returns:
        the XBRL period